#Q1-1 
A<-100
class(A)
B <- 'Big'
class(B)
VAR1 <- c(100,105,110)
class(VAR1)
VAR2 <- 5+6
class(VAR2)
VAR3 <- 150:250
class(VAR3)

#Q1-2a 
y <- c(1,4,7,9)

#Q1-2b 
y1 <- 10:25

#Q1-2c 
y2 <- seq(2,20,by=2)

#Q1-3a 
sex <- c(rep('Female',6),rep('Male',6))
#OR
sex <- gl(2,6,12,lab=c('Female','Male'))

#Q1-3b 
TEMPERATURE <- gl(3,10,30,lab=c('High', 'Medium', 'Low'))

#Q1-3c 
TEMPERATURE <- gl(3,1,30,lab=c('High', 'Medium', 'Low'))

#Q1-3c 
TEMPERATURE <- c(rep('High',10),rep('Medium',8),rep('Low',11))

#Q2-1 
SPECIES <- gl(2,3,6,lab=c('B.semp', 'B.micro'))
AREA <- c(25,22,29,15,17,20)
LEAVES <- data.frame(SPECIES,AREA)
LEAVES
PLANT <- c('P1','P2','P3','P4','P5','P6')
#OR
PLANT <- paste('P',1:6,sep="")
row.names(LEAVES) <- PLANT
PLANT

#Q2-5 
LEAVES
LEAVES$AREA[1]
LEAVES$AREA[1:3]
LEAVES$AREA[LEAVES$AREA>20]
LEAVES$AREA[LEAVES$SPECIES=='B.micro']
LEAVES[LEAVES$SPECIES=='B.micro',]
LEAVES$AREA[2] <- 23

#Q2-7 
LEAVES$logAREA <- log10(LEAVES$AREA)

#Q3 
phasmid <-
structure(list(DIET = structure(as.integer(c(2, 2, 2, 1, 1, 1
)), .Label = c("soft", "tough"), class = "factor"), MET.RATE = c(1.25, 
1.22, 1.29, 1.51, 1.55, 1.48)), .Names = c("DIET", "MET.RATE"
), class = "data.frame", row.names = c("P1", "P2", "P3", "P4", 
"P5", "P6"))

#Q3-1c 
setwd("../downloads/data")
phasmid <- read.table('phasmid.csv', header=T, sep=',', row.names=1)

#Q3-2a 
write.table(LEAVES, 'leaves.csv', quote=F, sep=',')

#Q3-3 
phasmid <- read.table('clipboard', header=T, sep='\t', row.names=1)

#Q3-4 
dump('phasmid',"")

#Q4 
kiwi <- read.table('kiwi.csv', header=T, sep=',')

#Q4a 
hist(kiwi$malewt)

#Q4-2 
mean(kiwi$malewt)
sd(kiwi$malewt)

#Q4-3 
pnorm(2.9, mean=2.025882, sd=0.4836265, lower.tail=F)

#Q4-4 
boxplot(kiwi$malewt)

#Q5 
lovett <- read.table('lovett.csv', header=T, sep=',', strip.white=T)

#Q5-1 
boxplot(lovett$DOC)

#Q5-4-7 
mean(lovett$DOC)
sd(lovett$DOC)
sd(lovett$DOC)/sqrt(length(lovett$DOC))
qnorm(0.975,0,1) * (sd(lovett$DOC) /sqrt(length(lovett$DOC)))
#OR
library(gmodels)
qnorm(0.975,0,1) * ci(lovett$DOC)[4]

#Q5-8 
boxplot(lovett$H)
boxplot(log10(lovett$H))

#Q5-10 
mean(lovett$DOC)
mean(lovett$DOC[lovett$DOC<170])
median(lovett$DOC)
median(lovett$DOC[lovett$DOC<170])
var(lovett$DOC)
var(lovett$DOC[lovett$DOC<170])
sd(lovett$DOC)
sd(lovett$DOC[lovett$DOC<170])
diff(quantile(lovett$DOC, c(.25,.75)))
diff(quantile(lovett$DOC[lovett$DOC<170],c(.25,.75)))

#Q6 
sanchez <- read.table("sanchez.csv", header=T, sep=",")

#Q6-1 
tapply(sanchez$PLANT96, sanchez$COLTYPE,mean)
tapply(sanchez$PLANT96, sanchez$COLTYPE,var)
tapply(sanchez$PLANT96, sanchez$COLTYPE,sd)

#Q6-2 
boxplot(PLANT96~COLTYPE,data=sanchez)
boxplot(log10(PLANT96)~COLTYPE,data=sanchez)

#Q6-3 
library(car)
scatterplot(BEETLE96~PLANT96,data=sanchez)

#Q6-4 
library(car)
scatterplot.matrix(~BEETLE96 + PLANT96 + GUANO,data=sanchez, diagonal='boxplot')
#OR
pairs(~BEETLE96 + PLANT96 + GUANO,data=sanchez)

#Q6-5 
boxplot(BEETLE96~COLTYPE,data=sanchez)
boxplot(sqrt(sqrt(BEETLE96))~COLTYPE,data=sanchez)
#OR
boxplot(BEETLE96^.25~COLTYPE,data=sanchez)

tapply(sqrt(sqrt(sanchez$BEETLE96)),sanchez$COLTYPE,mean)
tapply(sqrt(sqrt(sanchez$BEETLE96)),sanchez$COLTYPE,var)

#Q7 
furness <- read.table('furness.csv',header=T, sep=',')

#Q7-3 
qt(0.05,df=12,lower.tail=F)

qt(0.05/2,df=12,lower.tail=F)

#Q7-5 
boxplot(METRATE~SEX, data=furness)

#Q7-6 
#Separate variance t-test is probably more reliable, as there is some evidence that the two populations are not exactly equal in variability
t.test(METRATE~SEX, equal.var=F,data=furness)

#Q7-8 
# calculate the means
means <- tapply(furness$METRATE, furness$SEX, mean)
# calculate the standard deviation
sds <- tapply(furness$METRATE, furness$SEX, sd)
# calculate the lengths
ns <- tapply(furness$METRATE, furness$SEX, length)
# calculate the standard errors
ses <- sds/sqrt(ns)
# plot the bars
xs <- barplot(means,beside=T)
# load package containing error bar function
library(Hmisc)
# plot the error bars
errbar(xs, means, means+ses, means-ses, add=T) 

#OR
#load Murray's bargraph script
#library(biology)
#Mbargraph(furness$METRATE, furness$SEX, errorbars="se")

#Q8 
elgar <- read.table("elgar.csv", header=T, sep=",", strip.white=T)

#Q8-2 
t.test(elgar$VERTDIM,elgar$VERTLIGHT, paired=T)
t.test(elgar$HORIZDIM,elgar$HORIZLIGHT, paired=T)

#Q9-1 
boxplot(BODYMASS~SEX, data=furness)
tapply(furness$BODYMASS,furness$SEX,mean)
tapply(furness$BODYMASS,furness$SEX,var)

#Q9-3 
wilcox.test(BODYMASS~SEX, data=furness)

#Q10 
coots <- read.table("bandicoots.csv", header=T, sep=",", strip.white=T)

#Q10-1 
boxplot(coots$WEIGHT~coots$AREA)

xs <- seq(-4,4,l=1000)
plot(xs, dt(xs,38), type="l")

#Q10-4 
stat <- function(data, indices){
	t <- t.test(data[,2]~data[,1])$stat
	t
}

rand.gen <- function(data, mle){
	out <- data
	out[,1] <- sample(out[,1], replace=F)
	out
}

library(boot)
coots.boot <- boot(coots, stat, R=100, sim="parametric", ran.gen=rand.gen)

#Q10-6 
plot(coots.boot)
hist(coots.boot$t, freq=F,xlim=c(-4,4))
#overlay the density distribution
points(density(coots.boot$t), col="red",type="l", lwd=2)

#overlay a theoretical t-distribution
xs <- seq(-4,4,l=1000)
points(xs, dt(xs,38), type="l", lwd=2)

f <- length(coots.boot$t[coots.boot$t >= coots.boot$t0])+1
print(f/(coots.boot$R + 1))

#Print 
numbers <- c(1, 4, 6, 7, 4, 345, 36, 78)
print(numbers)

#PrintA 
printVerbatim(numbers)

#A 
IQ <- 10.513

#RFactors 
sex <- factor(c('Female', 'Female', 'Female', 'Female', 'Female', 'Female', 'Male', 'Male', 'Male', 'Male', 'Male', 'Male'))
#OR
sex <- factor(c(rep('Female',6),rep('Male',6)))
#OR
sex <- gl(2,6,12,lab=c('Female','Male'))

#Quit 
q()

#ReadData 
phasmid <- read.data('phasmid.csv', header=T, sep=',', row.names=1, strip.white=T)

#Indexing 
var <- c(4,8,2,6,9,2)
var

#IndexingP 
printVerbatim(var)

#Indexing 
var[5]

#IndexingP 
printVerbatim(var[5])

#Indexing 
var[3:5]

#IndexingP 
printVerbatim(var[3:5])

#Indexing 
dv <- c(4,8,2,6,9,2)
iv <- c('a','a','a','b','b','b')
data <- data.frame(iv,dv)
data

#IndexingP 
printVerbatim(data)

#Indexing 
data[1] 

#IndexingP 
printVerbatim(data[1])

#Indexing 
data[,1]

#IndexingP 
printVerbatim(data[,1])

#Indexing 
data[1,] 

#IndexingP 
printVerbatim(data[1,])

#Indexing 
data[3,2] 

#IndexingP 
printVerbatim(data[3,2])

#ReadData 
phasmid <- read.data('clipboard', header=T, sep='\t', row.names=1, strip.white=T)

